curl --request PUT \ --url https://api.jogg.ai/v1/product \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data '{ "product_id": 3924, "name": "Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested", "description": "Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. ", "target_audience": "", "media": [ { "type": 1, "name": "media.jpg", "url": "https://res.jogg.ai/media.jpg", "description": "Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow." } ]}'
import requests
url = "https://api.jogg.ai/v1/product"
payload = {
"product_id": 3924,
"name": "Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested",
"description": "Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. ",
"target_audience": "",
"media": [
{
"type": 1,
"name": "media.jpg",
"url": "https://res.jogg.ai/media.jpg",
"description": "Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow."
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product_id: 3924,
name: 'Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested',
description: 'Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. ',
target_audience: '',
media: [
{
type: 1,
name: 'media.jpg',
url: 'https://res.jogg.ai/media.jpg',
description: 'Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow.'
}
]
})
};
fetch('https://api.jogg.ai/v1/product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jogg.ai/v1/product",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'product_id' => 3924,
'name' => 'Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested',
'description' => 'Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. ',
'target_audience' => '',
'media' => [
[
'type' => 1,
'name' => 'media.jpg',
'url' => 'https://res.jogg.ai/media.jpg',
'description' => 'Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow.'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jogg.ai/v1/product"
payload := strings.NewReader("{\n \"product_id\": 3924,\n \"name\": \"Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested\",\n \"description\": \"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. \",\n \"target_audience\": \"\",\n \"media\": [\n {\n \"type\": 1,\n \"name\": \"media.jpg\",\n \"url\": \"https://res.jogg.ai/media.jpg\",\n \"description\": \"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow.\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.put("https://api.jogg.ai/v1/product")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"product_id\": 3924,\n \"name\": \"Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested\",\n \"description\": \"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. \",\n \"target_audience\": \"\",\n \"media\": [\n {\n \"type\": 1,\n \"name\": \"media.jpg\",\n \"url\": \"https://res.jogg.ai/media.jpg\",\n \"description\": \"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow.\"\n }\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.jogg.ai/v1/product")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"product_id\": 3924,\n \"name\": \"Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested\",\n \"description\": \"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. \",\n \"target_audience\": \"\",\n \"media\": [\n {\n \"type\": 1,\n \"name\": \"media.jpg\",\n \"url\": \"https://res.jogg.ai/media.jpg\",\n \"description\": \"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow.\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body
{ "code": 123, "msg": "<string>"}
URL to Video
Update Product Information
Optional step to update product details. Use the product_id received from Step 1 (POST /open/product response)
PUT
/
product
Step 2 (Optional): Update Product Information
curl --request PUT \ --url https://api.jogg.ai/v1/product \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data '{ "product_id": 3924, "name": "Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested", "description": "Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. ", "target_audience": "", "media": [ { "type": 1, "name": "media.jpg", "url": "https://res.jogg.ai/media.jpg", "description": "Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow." } ]}'
import requests
url = "https://api.jogg.ai/v1/product"
payload = {
"product_id": 3924,
"name": "Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested",
"description": "Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. ",
"target_audience": "",
"media": [
{
"type": 1,
"name": "media.jpg",
"url": "https://res.jogg.ai/media.jpg",
"description": "Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow."
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product_id: 3924,
name: 'Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested',
description: 'Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. ',
target_audience: '',
media: [
{
type: 1,
name: 'media.jpg',
url: 'https://res.jogg.ai/media.jpg',
description: 'Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow.'
}
]
})
};
fetch('https://api.jogg.ai/v1/product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jogg.ai/v1/product",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'product_id' => 3924,
'name' => 'Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested',
'description' => 'Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. ',
'target_audience' => '',
'media' => [
[
'type' => 1,
'name' => 'media.jpg',
'url' => 'https://res.jogg.ai/media.jpg',
'description' => 'Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow.'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jogg.ai/v1/product"
payload := strings.NewReader("{\n \"product_id\": 3924,\n \"name\": \"Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested\",\n \"description\": \"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. \",\n \"target_audience\": \"\",\n \"media\": [\n {\n \"type\": 1,\n \"name\": \"media.jpg\",\n \"url\": \"https://res.jogg.ai/media.jpg\",\n \"description\": \"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow.\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.put("https://api.jogg.ai/v1/product")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"product_id\": 3924,\n \"name\": \"Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested\",\n \"description\": \"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. \",\n \"target_audience\": \"\",\n \"media\": [\n {\n \"type\": 1,\n \"name\": \"media.jpg\",\n \"url\": \"https://res.jogg.ai/media.jpg\",\n \"description\": \"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow.\"\n }\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.jogg.ai/v1/product")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"product_id\": 3924,\n \"name\": \"Physicians Formula Happy Booster Heart Blush Glow &amp; Mood Boosting, Rose, Dermatologist Tested\",\n \"description\": \"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. \",\n \"target_audience\": \"\",\n \"media\": [\n {\n \"type\": 1,\n \"name\": \"media.jpg\",\n \"url\": \"https://res.jogg.ai/media.jpg\",\n \"description\": \"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow.\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body
"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. "
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"JoggAI API","colors":{"primary":"#2E5CFF","light":"#2E5CFF","dark":"#2E5CFF"},"logo":{"light":"https://mintcdn.com/joggai/2WfnmgQwwQkeXdv3/logo/Group%201312320557.png?fit=max\u0026auto=format\u0026n=2WfnmgQwwQkeXdv3\u0026q=85\u0026s=60564135d6f732afa55cb2402b5b822d","dark":"https://mintcdn.com/joggai/2WfnmgQwwQkeXdv3/logo/Dark-logo.png?fit=max\u0026auto=format\u0026n=2WfnmgQwwQkeXdv3\u0026q=85\u0026s=aa8916e58a85e73105f1d28ef6357d6f"},"favicon":"https://mintcdn.com/joggai/2WfnmgQwwQkeXdv3/logo/Group%201312319951.png?fit=max\u0026auto=format\u0026n=2WfnmgQwwQkeXdv3\u0026q=85\u0026s=7670acffaa09107ec308969f94fe1f17","navbar":{"links":[{"href":"mailto:support@jogg.ai","label":"Support"}],"primary":{"type":"button","label":"Get Started","href":"https://app.jogg.ai/"}},"footer":{"socials":{"x":"https://x.com/Jogg_ai","facebook":"https://www.facebook.com/profile.php?id=61560344774204","linkedin":"https://www.linkedin.com/company/jogg-ai","youtube":"https://www.youtube.com/@joggai","discord":"https://discord.gg/RwrwZcSRCq"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Roadmap","icon":"pencil","href":"https://updates.jogg.ai/roadmap"},{"anchor":"Changelog","icon":"code","href":"https://updates.jogg.ai/changelog"},{"anchor":"Share Your Ideas","icon":"envelope","href":"https://updates.jogg.ai/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"joggai","hasAudioNarration":false,"actualSubdomain":"joggai","customDomains":["docs.jogg.ai"],"gitSource":{"type":"github","owner":"joggai-tech","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6af183882126ef8f812fc240","clientVersion":"0.0.4111","searchFilterCounts":[{"language":"default","tag":"API Documentation","count":57},{"language":"default","tag":"Workflows Guides","count":13},{"language":"default","tag":"Video","count":13},{"language":"default","tag":"Avatar","count":7},{"language":"default","tag":"Asset","count":5},{"language":"default","tag":"Webhook","count":5},{"language":"default","tag":"Create Avatar Videos","count":4},{"language":"default","tag":"QuickStart","count":4},{"language":"default","tag":"Voice","count":4},{"language":"default","tag":"Product","count":2}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/v1/URL-to-Video/UpdateProduct","slug":"/api-reference/v1/URL-to-Video/UpdateProduct","pageMetadata":{"title":"Update Product Information","openapi":"PUT /product","description":"Optional step to update product details. Use the product_id received from Step 1 (POST /open/product response)","href":"/api-reference/v1/URL-to-Video/UpdateProduct","hidden":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Optional step to update product details. Use the product_id received from Step 1 (POST /open/product response)\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update Product Information","openapi":"PUT /product","description":"Optional step to update product details. Use the product_id received from Step 1 (POST /open/product response)","href":"/api-reference/v1/URL-to-Video/UpdateProduct","hidden":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["URL to Video"],"summary":"Step 2 (Optional): Update Product Information","description":"Optional step to update product details. Use the product_id received from Step 1 (POST /open/product response)","requestBody":"7eb55365-52fa-4489-8637-5765b94ee953","responses":{"200":"bf23f8ef-4280-4dcf-b5ce-fa68922aaa74"},"method":"put","type":"path","servers":["e3e3ebd6-67d5-45c1-98a3-7c5ebedb5e44"],"security":["726ce07c-78a8-4f2e-a594-94c61b1af491"],"path":"/product","baseUrlOptions":["https://api.jogg.ai/v1"],"title":"Step 2 (Optional): Update Product Information","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["product_id"],"properties":{"product_id":{"type":"string","description":"Product ID obtained from Step 1 (POST /open/product) response data.id","example":3924,"isRequired":true,"uniqueKey":"product_id","typeLabel":"string"},"name":{"type":"string","description":"Product name","example":"Physicians Formula Happy Booster Heart Blush Glow \u0026amp;amp; Mood Boosting, Rose, Dermatologist Tested","uniqueKey":"name","typeLabel":"string"},"description":{"type":"string","description":"Product introduction and selling points","example":"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. ","uniqueKey":"description","typeLabel":"string"},"target_audience":{"type":"string","description":"Target audience for the product","example":"","uniqueKey":"target_audience","typeLabel":"string"},"media":{"type":"array","description":"Media resources array (will replace existing media if provided)","items":{"type":"object","properties":{"type":{"type":"integer","description":"Media type (1: image, 2: video)","enum":[1,2],"example":1,"uniqueKey":"media.items.[INDEX].type","typeLabel":"enum\u003cinteger>"},"name":{"type":"string","description":"Media name","example":"media.jpg","uniqueKey":"media.items.[INDEX].name","typeLabel":"string"},"url":{"type":"string","description":"Media URL","example":"https://res.jogg.ai/media.jpg","uniqueKey":"media.items.[INDEX].url","typeLabel":"string"},"description":{"type":"string","description":"Media description","example":"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow.","uniqueKey":"media.items.[INDEX].description","typeLabel":"string"}},"uniqueKey":"media.items.[INDEX]","typeLabel":"object"},"uniqueKey":"media","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"product_id":3924,"name":"Physicians Formula Happy Booster Heart Blush Glow \u0026amp;amp; Mood Boosting, Rose, Dermatologist Tested","description":"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow. Multi-reflective pearls provide a soft iridescence to highlight contour and add radiance to cheeks. Experience the mood boosting effect: Infused with our Happy Boost Blend featuring Happy Skin and Euphoryl, natural plant extracts which have been shown to promote a feeling of happiness by mimicking the effect of Endorphins and helping protect the skin from environmental stress. ","target_audience":"","media":[{"type":1,"name":"media.jpg","url":"https://res.jogg.ai/media.jpg","description":"Brush on a radiant blushing glow: Ultra-soft and blendable blushing powder features a fresh and vibrant mix of blushing tones infused with a pop of color to create a healthy glow."}]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"bf23f8ef-4280-4dcf-b5ce-fa68922aaa74":{"description":"Product updated successfully","content":{"application/json":{"schema":{"type":"object","required":["code","msg"],"properties":{"code":{"type":"integer","description":"\n\n\nBusiness status code:\n\n\n\n* 0 - Success\n\n\n\n* 10104 - Record not found\n\n\n\n* 10105 - Invalid API key\n\n\n\n* 18020 - Insufficient credit\n\n\n\n* 18025 - No permission to call APIs.\n\n\n\n* 40000 - Parameter error\n\n\n\n* 50000 - System error\n","isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"msg":{"type":"string","description":"Response message","isRequired":true,"uniqueKey":"msg","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":123,"msg":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"726ce07c-78a8-4f2e-a594-94c61b1af491":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[]}}},"servers":{"e3e3ebd6-67d5-45c1-98a3-7c5ebedb5e44":{"url":"https://api.jogg.ai/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[]},"schema":{"title":"x-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKeyAuth","name":"x-api-key"}],"title":"apiKeyAuth"}]},"originalFileLocation":"api-reference/v1/openapi.json"},"subdomain":"joggai","siteName":"JoggAI API","title":"Update Product Information - JoggAI API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-08-28T09:29:43.226Z","originalFileLocation":"api-reference/v1/URL-to-Video/UpdateProduct.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Optional step to update product details. Use the product_id received from Step 1 (POST /open/product response)\">\u003cmeta data-mint-head name=\"application-name\" content=\"JoggAI API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update Product Information - JoggAI API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Optional step to update product details. Use the product_id received from Step 1 (POST /open/product response)\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"JoggAI API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.jogg.ai/api-reference/v1/URL-to-Video/UpdateProduct\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://joggai.mintlify.site/_mintlify/api/og/v2?division=URL+to+Video\u0026amp;title=Update+Product+Information\u0026amp;description=Optional+step+to+update+product+details.+Use+the+product_id+received+from+Step+1+%28POST+%2Fopen%2Fproduct+response%29\u0026amp;theme=45f50e3d65156d794d2965b2\u0026amp;signature=612edfac702a4c46af5465ac1cc9975ebd71dc60a0383b9fe124759b1ae5e1f8\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update Product Information - JoggAI API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Optional step to update product details. Use the product_id received from Step 1 (POST /open/product response)\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://joggai.mintlify.site/_mintlify/api/og/v2?division=URL+to+Video\u0026amp;title=Update+Product+Information\u0026amp;description=Optional+step+to+update+product+details.+Use+the+product_id+received+from+Step+1+%28POST+%2Fopen%2Fproduct+response%29\u0026amp;theme=45f50e3d65156d794d2965b2\u0026amp;signature=612edfac702a4c46af5465ac1cc9975ebd71dc60a0383b9fe124759b1ae5e1f8\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/joggai/MKGGnsZD94NcUa6d/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"JoggAI API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2E5CFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.jogg.ai/api-reference/v1/URL-to-Video/UpdateProduct\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/v1/URL-to-Video/UpdateProduct.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.jogg.ai/#organization\",\"name\":\"JoggAI API\",\"url\":\"https://docs.jogg.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/joggai/2WfnmgQwwQkeXdv3/logo/Group%201312320557.png?fit=max\u0026auto=format\u0026n=2WfnmgQwwQkeXdv3\u0026q=85\u0026s=60564135d6f732afa55cb2402b5b822d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.jogg.ai#website\",\"name\":\"JoggAI API\",\"url\":\"https://docs.jogg.ai\",\"publisher\":{\"@id\":\"https://docs.jogg.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.jogg.ai/api-reference/v1/URL-to-Video/UpdateProduct#webpage\",\"url\":\"https://docs.jogg.ai/api-reference/v1/URL-to-Video/UpdateProduct\",\"name\":\"Update Product Information\",\"description\":\"Optional step to update product details. Use the product_id received from Step 1 (POST /open/product response)\",\"dateModified\":\"2026-08-28T09:29:43.226Z\",\"isPartOf\":{\"@id\":\"https://docs.jogg.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.jogg.ai/api-reference/v1/URL-to-Video/UpdateProduct#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.jogg.ai/api-reference/v1/URL-to-Video/UpdateProduct#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"URL to Video\",\"item\":\"https://docs.jogg.ai/api-reference/v1/URL-to-Video/UploadURL\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update Product Information\",\"item\":\"https://docs.jogg.ai/api-reference/v1/URL-to-Video/UpdateProduct\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.jogg.ai/api-reference/v1/URL-to-Video/UpdateProduct#apireference\",\"headline\":\"Update Product Information\",\"name\":\"Update Product Information\",\"description\":\"Optional step to update product details. Use the product_id received from Step 1 (POST /open/product response)\",\"url\":\"https://docs.jogg.ai/api-reference/v1/URL-to-Video/UpdateProduct\",\"mainEntityOfPage\":{\"@id\":\"https://docs.jogg.ai/api-reference/v1/URL-to-Video/UpdateProduct#webpage\"},\"dateModified\":\"2026-08-28T09:29:43.226Z\",\"publisher\":{\"@id\":\"https://docs.jogg.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.jogg.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"JoggAI API\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"JoggAI API\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/v1/URL-to-Video/UpdateProduct.md","siteName":"JoggAI API","nav":{"global":{"anchors":[{"anchor":"Roadmap","icon":"pencil","href":"https://updates.jogg.ai/roadmap"},{"anchor":"Changelog","icon":"code","href":"https://updates.jogg.ai/changelog"},{"anchor":"Share Your Ideas","icon":"envelope","href":"https://updates.jogg.ai/"}]},"tabs":[{"tab":"Home","pages":[{"title":"Home","href":"/home/WelcometoJoggAI"}]},{"tab":"API Documentation","pages":[{"title":"API Documentation","href":"/api-reference/v2/QuickStart/GettingStarted"}]},{"tab":"V1","hidden":true,"groups":[{"group":"QuickStart","pages":[{"title":"Getting Started","description":"Quick start guide for JoggAI API","href":"/api-reference/v1/QuickStart/GettingStarted"}]},{"group":"API Documentation","pages":[{"group":"Create Avatar Videos","pages":[{"title":"Create Avatar Videos Using Library Avatars","description":"How to create avatar video with the avatars from library.","href":"/api-reference/v1/API Documentation/CreateAvatarVideo"},{"title":"Create Avatar Videos Using Instant Avatars","description":"How to create avatar video with instant avatars.","href":"/api-reference/v1/API Documentation/CreateAvatarVideoWithInstantAvatar"},{"title":"Create Avatar Videos Using Photo Avatars","description":"How to create avatar video with Photo avatars.","href":"/api-reference/v1/API Documentation/CreateAvatarVideoWithPhotoAvatar"},{"title":"Using Audio Source as Voice","description":"create avatar video by uploading audio.","href":"/api-reference/v1/API Documentation/UsingAudioSourceasVoice"},{"title":"Create Transparent Avatar Videos in WebM/MP4 Format","description":"How to create transparent avatar videos in WebM/MP4 format.","href":"/api-reference/v1/API Documentation/CreateTransparentAvatarVideos"}]},{"title":"Create Video from URL/Product info","description":"How to create video from URL/Product info .","href":"/api-reference/v1/API Documentation/CreateVideoFromURL"},{"title":"Create Video from Your Template","description":"How to create video from Your Template.","href":"/api-reference/v1/API Documentation/CreatVideoFormTemplate"},{"title":"Create Photo Avatar","description":"Transform static images into dynamic, talking avatars with JoggAI's Photo Avatar API.","href":"/api-reference/v1/API Documentation/CreatePhotoAvatar"},{"title":"AI Scripts","description":"How to generate AI scripts from product?","href":"/api-reference/v1/API Documentation/AIScripts"},{"title":"Upload Media","description":"Upload your own media resources.","href":"/api-reference/v1/API Documentation/UploadMedia"},{"title":"Webhook Integration Guide","description":"How to receive notifications for various events through webhooks.","href":"/api-reference/v1/API Documentation/Webhook"}]},{"group":"URL to Video","pages":[{"title":"Upload URL to create product","openapi":"POST /product","description":"\n\n\nGet product information by crawling the provided URL or create a new product with provided information.\n\n\n\nThe response contains product_id which is used in Step 2 \u0026 Step 3 for updating product information and creating the video.","href":"/api-reference/v1/URL-to-Video/UploadURL"},{"title":"Update Product Information","openapi":"PUT /product","href":"/api-reference/v1/URL-to-Video/UpdateProduct"},{"title":"Generate Video from Product Information","openapi":"POST /create_video_from_url","description":"Final step to generate the product video. Use the product_id received from Step 1 (POST /product response)","href":"/api-reference/v1/URL-to-Video/CreateVideo"},{"title":"Generate Preview Video from Product Information","openapi":"POST /preview","description":"You can generate a preview video using the product_id obtained from the Upload URL to create a product. Set the relevant video parameters to create the preview. You can obtain the preview video result using the project_id at the Get Generated Video endpoint.","href":"/api-reference/v1/URL-to-Video/GeneratePreview"}]},{"group":"Create Avatar Videos","pages":[{"title":"Create Talking Avatar Videos","openapi":"POST /create_video_from_talking_avatar","description":"Creates a talking avatar video with specified parameters","href":"/api-reference/v1/Create-Avatar-Videos/CreateAvatarVideo"}]},{"group":"Get Generated Video","pages":[{"title":"Get Generated Video","openapi":"GET /project","description":"Get information about a specific project using its ID.","href":"/api-reference/v1/GetGeneratedVideo/GetGeneratedVideo"}]},{"group":"AI Scripts","pages":[{"title":"AI Scripts","openapi":"POST /ai_scripts","description":"Simply provide the product information or the product_id generated in the Upload URL to create product, and you can create several different styles of product introduction scripts.If you do not provide the product_id, then the product's name and description are required.","href":"/api-reference/v1/AI-Scripts/AI-Scripts"}]},{"group":"Upload Media","pages":[{"title":"Upload Media","openapi":"POST /upload/asset","description":"Generate a signed URL for file upload. Use the `sign_url` obtained here to upload your file.","href":"/api-reference/v1/UploadFile/UploadFile"}]},{"group":"Avatar","pages":[{"title":"Get Avatar List from Library","openapi":"GET /avatars","description":"Get a list of available avatars with specified filters","href":"/api-reference/v1/Avatar/GetAvatarList"},{"title":"Get Instant Avatar List","openapi":"GET /avatars/custom","description":"Get a list of your avatar","href":"/api-reference/v1/Avatar/GetInstantAvatar"},{"title":"Get Photo Avatar List","openapi":"GET /avatars/photo_avatars","description":"Get a list of your photo avatar","href":"/api-reference/v1/Avatar/GetPhotoAvatar"},{"title":"Generate AI Avatar Photo","openapi":"POST /photo_avatar/photo/generate","description":"Generate four photos based on the provided parameters","href":"/api-reference/v1/Avatar/GenerateAIAvatarPhoto"},{"title":"Check Photo Generation Status","openapi":"GET /photo_avatar/generation","description":"Check the generation status of the AI profile photo according to the photo ID","href":"/api-reference/v1/Avatar/CheckPhotoGenerationStatus"},{"title":"Generate Avatar New Look Photo","openapi":"POST /photo_avatar/new_look/generate","description":"Based on the provided photo, a new photo is generated by marrying the input parameters","href":"/api-reference/v1/Avatar/GenerateAvatarNewLookPhoto"},{"title":"Add Motion","openapi":"POST /photo_avatar/add_motion","description":"Adds an motion for the specified Photo Avatar","href":"/api-reference/v1/Avatar/AddMotion"},{"title":"Check status of the motion generation","openapi":"GET /photo_avatar","description":"Check the generation status of the Photo Avatar motion based on the motionID","href":"/api-reference/v1/Avatar/CheckStatusOfTheMotionGeneration"}]},{"group":"Voice","pages":[{"title":"Get Voice List from Library","openapi":"GET /voices","description":"Retrieve a list of available voices with specified filters","href":"/api-reference/v1/Voice/GetVoiceList"},{"title":"Get My Voice","openapi":"GET /voices/custom","description":"Retrieve a list of your available voice with specified gender filter","href":"/api-reference/v1/Voice/GetMyVoice"}]},{"group":"Visual Style","pages":[{"title":"Get Visual Style","openapi":"GET /visual_styles","description":"Get list of Visual Style","href":"/api-reference/v1/Visual-Style/GetVisualStyle"}]},{"group":"Template","pages":[{"title":"Get Template List from Library","openapi":"GET /templates","description":"Get list of templates","href":"/api-reference/v1/Template/GetTemplate"},{"title":"Get My Template","openapi":"GET /templates/custom","description":"Get list of your custom templates","href":"/api-reference/v1/Template/GetMyTemplate"},{"title":"Create Video From Template","openapi":"POST /create_video_with_template","description":"Create video from Your Template.","href":"/api-reference/v1/Template/CreateVideoFormTemplate"}]},{"group":"Music","pages":[{"title":"Get Music List from JoggAI","openapi":"GET /musics","description":"Get a list of jogg music","href":"/api-reference/v1/Music/GetMusic"}]},{"group":"Webhook","pages":[{"title":"List of Webhook Endpoints","openapi":"GET /endpoints","description":"Get a list of configured webhook endpoints","href":"/api-reference/v1/Webhook/ListofWebhookEndpoints"},{"title":"Add a Webhook Endpoint","openapi":"POST /endpoint","description":"Add a new webhook endpoint configuration","href":"/api-reference/v1/Webhook/AddWebhookEndpoint"},{"title":"Update a Webhook Endpoint","openapi":"PUT /endpoint/{endpoint_id}","description":"Update an existing webhook endpoint configuration","href":"/api-reference/v1/Webhook/UpdateWebhookEndpoint"},{"title":"Delete a Webhook Endpoint","openapi":"DELETE /endpoint/{endpoint_id}","description":"Delete an existing webhook endpoint","href":"/api-reference/v1/Webhook/DeleteWebhookEndpoint"},{"title":"List of Available Webhook Events","openapi":"GET /events","description":"Get a list of available webhook events","href":"/api-reference/v1/Webhook/ListofAvailableWebhookEvents"}]}]}]},"basePath":"","title":"Update Product Information - JoggAI API","buildId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","deploymentId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CybtLBIt.js","utils-BMLj2fvV.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-B6In562Y.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dr8Mfhp9.js","snippetPresets-2rmQvMVl.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-WMqJYdZj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CJ-MlPHu.js","shallow-dY3TMRCk.js","getApiPlaygroundDisplay-v-1B2bKm.js","CodeSnippet-BDhiTB7U.js","CodeSnippets-D9hnzQcS.js","Page-C4GwDT3_.js","getPastedJson-Th2V45jI.js","icon-BQXch1W9.js","MethodPill-BCqUneP3.js","DuplicateIcon-Q_-bhurZ.js","createIcon-DUjLHRqp.js","DynamicMarkdown-B-f2cqXQ.js","SectionHeading-Da5NsV4v.js","axios-vUo_bRtp.js","Markdown-D13FWkIM.js","clsx-D3Isdib3.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-C-XZBk9h.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink--qIqmmVG.js"]}